## udisks2 2.10.0

=== src/tests/dbus-tests/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/dbus-tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Generate config.h.py with translated defines for easy use within Python

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/udisks
pkgincludedir = $(includedir)/udisks
pkglibdir = $(libdir)/udisks
pkglibexecdir = $(libexecdir)/udisks
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
am__append_1 = btrfs
am__append_2 = iscsi
am__append_3 = lvm2
am__append_4 = lsm
subdir = src/tests/dbus-tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_enable_debug.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gtk-doc.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/tmp/udisks/build-aux/missing' aclocal-1.16
ACL_CFLAGS = 
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/tmp/udisks/build-aux/missing' autoconf
AUTOHEADER = ${SHELL} '/tmp/udisks/build-aux/missing' autoheader
AUTOMAKE = ${SHELL} '/tmp/udisks/build-aux/missing' automake-1.16
AWK = gawk
BASH = /bin/sh
BLOCKDEV_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
BLOCKDEV_LIBS = -lblockdev -lglib-2.0 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -march=x86-64-v2 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -W -Wextra -Wcast-align -Wdeclaration-after-statement -Wendif-labels -Werror=format-security -Werror=implicit-function-declaration -Werror=overflow -Wformat-nonliteral -Wformat=2 -Wimplicit -Winit-self -Wmissing-declarations -Wmissing-format-attribute -Wmissing-include-dirs -Wmissing-noreturn -Wmissing-prototypes -Wnested-externs -Wno-inline -Wno-long-long -Wno-missing-field-initializers -Wno-overlength-strings -Wno-switch-enum -Wno-unused-parameter -Wno-unused-result -Wold-style-definition -Wpacked -Wpointer-arith -Wshadow -Wsign-compare -Wstrict-aliasing=2 -Wstrict-prototypes -Wundef -Wuninitialized -Wvla -Wwrite-strings -fdata-sections -fdiagnostics-show-option -ffast-math -ffunction-sections -fno-common -fno-strict-aliasing -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GETTEXT_MACRO_VERSION = 0.19
GETTEXT_PACKAGE = udisks2
GIO_CFLAGS = -I/usr/include/gio-unix-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -pthread 
GIO_LIBS = -lgio-2.0 -lgobject-2.0 -lglib-2.0 
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
GLIB_LIBS = -lglib-2.0 
GMODULE_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
GMODULE_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0 -lglib-2.0 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
GTKDOC_CHECK = gtkdoc-check.test
GTKDOC_CHECK_PATH = /usr/bin/gtkdoc-check
GTKDOC_DEPS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
GTKDOC_DEPS_LIBS = -lgobject-2.0 -lglib-2.0 
GTKDOC_MKPDF = /usr/bin/gtkdoc-mkpdf
GTKDOC_REBASE = /usr/bin/gtkdoc-rebase
GUDEV_CFLAGS = -I/usr/include/gudev-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
GUDEV_LIBS = -lgudev-1.0 -lgobject-2.0 -lglib-2.0 
HAVE_LIBELOGIND = 
HAVE_LIBSYSTEMD_LOGIN = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
INTROSPECTION_CFLAGS = -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread 
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0 
INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib64/girepository-1.0
ISCSI_LIBS = -liscsi
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 
LIBATASMART_CFLAGS = 
LIBATASMART_LIBS = -latasmart 
LIBBLKID_CFLAGS = -I/usr/include/blkid 
LIBBLKID_LIBS = -lblkid 
LIBCONFIG_CFLAGS = 
LIBCONFIG_LIBS = -lconfig 
LIBELOGIND_CFLAGS = 
LIBELOGIND_LIBS = 
LIBICONV = -liconv
LIBINTL = 
LIBLSM_CFLAGS = -I/usr/include/libstoragemgmt 
LIBLSM_LIBS = -lstoragemgmt 
LIBMOUNT_CFLAGS = -I/usr/include/libmount -I/usr/include/blkid 
LIBMOUNT_LIBS = -lmount 
LIBOBJS = 
LIBS = 
LIBSYSTEMD_LOGIN_CFLAGS = 
LIBSYSTEMD_LOGIN_LIBS = -lsystemd 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUUID_CFLAGS = -I/usr/include/uuid 
LIBUUID_LIBS = -luuid 
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAKEINFO = ${SHELL} '/tmp/udisks/build-aux/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = udisks
PACKAGE_BUGREPORT = https://storaged-project.github.io
PACKAGE_NAME = udisks
PACKAGE_STRING = udisks 2.10.0
PACKAGE_TARNAME = udisks
PACKAGE_URL = 
PACKAGE_VERSION = 2.10.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POLKIT_AGENT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -pthread 
POLKIT_AGENT_1_LIBS = -lpolkit-agent-1 -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
POLKIT_GOBJECT_1_CFLAGS = -I/usr/include/polkit-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -pthread 
POLKIT_GOBJECT_1_LIBS = -lpolkit-gobject-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0 
POSUB = po
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
UDISKS_MAJOR_VERSION = 2
UDISKS_MICRO_VERSION = 0
UDISKS_MINOR_VERSION = 10
UDISKS_VERSION = 2.10.0
USE_NLS = yes
VERSION = 2.10.0
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XSLTPROC = /usr/bin/xsltproc
_GI_EXP_DATADIR = /usr/share
_GI_EXP_LIBDIR = /usr/lib64
abs_builddir = /tmp/udisks/src/tests/dbus-tests
abs_srcdir = /tmp/udisks/src/tests/dbus-tests
abs_top_builddir = /tmp/udisks
abs_top_srcdir = /tmp/udisks
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/udisks/build-aux/install-sh
libdir = ${exec_prefix}/lib64
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
modloaddir = /usr/lib/modules-load.d
modprobedir = /usr/lib/modprobe.d
oldincludedir = /usr/include

## udisks2 2.0.0

=== debian/changelog ===
udisks2 (2.0.0-1) experimental; urgency=low

  * Final 2.0.0 release. Changes since our git snapshot:
    - Only do the isohybrid hack for the first partition
    - Don't complain about missing /etc/crypttab file
    - Don't complain about missing /etc/fstab file
    - Make it work without requiring the kernel to be CONFIG_SWAP=y
    - Don't require that users define UDISKS_API_IS_SUBJECT_TO_CHANGE
    - Lots of documentation updates and corrections
    - Update translations from Transifex
  * debian/rules: Call dh_install with --fail-missing.
  * debian/udisks2.install: Install bash completion from/to
    usr/share/bash-completion/.
  * Add debian/udisks2.maintscript: Remove bash completion in /etc/ on
    upgrade.

 -- Martin Pitt <mpitt@debian.org>  Fri, 05 Oct 2012 10:32:14 +0200

udisks2 (1.99.0+git20120919-1) experimental; urgency=low

  * Update to current upstream git head:
    - configure.ac: raise gudev dependency
    - Update list of recovery/system partitions
    - Add support for creating exFAT filesystems and changing exFAT labels
    - Add textual descriptions for IMSM Raid members
    - Use all-caps for RAID in descriptions
    - Lots of test suite robustifications and added tests
    - Enable large file support (LP: #1039022)
    - Mount vfat with "flush" option
  * Drop 00git_dev_t_annotation.patch, 00git_testsuite.patch.
  * debian/control: Bump libgudev-1.0-dev build dependency as per upstream
    configure.ac.
  * debian/udisks2.install: Install umount.udisks2 into /sbin; our old
    util-linux version does not yet find it in /usr/sbin/. (LP: #1019651)

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Sep 2012 12:04:46 +0200

udisks2 (1.99.0-5) experimental; urgency=low

  * debian/local/udisks2-inhibit: Fix crash when /run/udisks2 does not exist
    yet. (LP: #1048211)
  * 00git_testsuite.patch: Pull latest test suite updates from trunk. This
    disables the tests for mounting XFS and reiserfs on read-only devices, as
    this is known-broken without a workaround.

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Sep 2012 16:03:40 +0200

udisks2 (1.99.0-4) experimental; urgency=low

  * Add debian/local/udisks2-inhibit: Hack to disallow udisks2 mount
    operations for anyone but root while a program is running. This is similar
    to udisks 1.x's "udisks --inhibit .." command. Install it into
    /usr/lib/udisks2/.
  * mount_in_media.patch: As on Debian and Ubuntu /media is not currently a
    tmpfs, we need to put the "mounted-fs" file to a persistent path as well.
    Otherwise udisks does not clean up old mount points that it created after
    a reboot. (LP: #1043772)
  * debian/udisks2.postinst: Migrate the mounted-fs file on upgrades.
  * Update 00git_testsuite.patch: Pull latest test suite updates from trunk.
    This now covers handling of existing mount points, and mounting read-only
    devices, which reproduces LP #435192.

 -- Martin Pitt <mpitt@debian.org>  Fri, 07 Sep 2012 16:17:57 +0200

udisks2 (1.99.0-3) experimental; urgency=low

  * Add 00git_dev_t_annotation.patch: Add workaround annotation for
    udisks_client_get_block_for_dev(), to fix UDisks.Block.get_block_for_dev()
    on 32 bit platforms when calling it through introspection. Patch also
    committed to upstream git.
  * Add 00git_testsuite.patch: Pull latest test suite updates from trunk. This
    includes a new test case for permissions for removable devices, plus some
    race condition fixes.
  * mount_in_media.patch: Drop the test suite portion, included in previous
    patch.

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Sep 2012 10:31:42 +0200

udisks2 (1.99.0-2) experimental; urgency=low

  * Add mount_in_media.patch: Mount drives in /media, not /run/media/, to stay
    FHS compatible. (Closes: #680403, LP: #1020759)

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Aug 2012 12:36:09 +0200

udisks2 (1.99.0-1) experimental; urgency=low

  * New upstream release (LP: #1030268)
    - Support Realtek rts5229 SD/MMC card readers. (LP: #1022497)
  * Drop 00git_no_polkit_fallback.patch, upstream now.
  * Drop debian/local/integration-test, shipped in upstream tarball now.
  * debian/tests/upstream-system: Run test suite from upstream source.
  * debian/tests/control: Simplify Depends: line using "@".
  * debian/tests/control: Drop undefined "no-build-needed" feature.

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Jul 2012 13:35:04 +0200

udisks2 (1.98.0-2) experimental; urgency=low

  * debian/local/apport-hook.py: Fix syntax to also work with Python 3.
    (LP: #1013171)
  * debian/tests/upstream-system: Ensure that /var/run/udisks2 exists.
  * debian/tests/control: Add dbus-x11 dependency for dbus-launch.
  * debian/control: Add XS-Testsuite header, as per current DEP-8.

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Jun 2012 07:29:40 +0200

udisks2 (1.98.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Drop ntfsprogs Recommends. It is a transitional package
    for ntfs-3g now, which we already recommend.
  * Add 00git_no_polkit_fallback.patch: Fix crash if polkit is not available.
    Patch backported from current upstream git head.
  * Add debian/local/integration-test: Latest integration test suite from
    upstream git. 1.99 and later will ship that in the source tarball.
  * Add debian/tests/control and debian/tests/upstream-system: DEP-8
    autopkgtest (adapted from udisks package).
  * debian/control: Change suggestion of cryptsetup to cryptsetup-bin, as that
    is sufficient for udisks' needs.
  * debian/copyright: Fix duplicate copyright line, thanks lintian.

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Jun 2012 17:01:30 +0200

udisks2 (1.97.0-2) experimental; urgency=low

  * debian/control: Add udev build dependency, as configure.uc needs its
    pkg-config file to check for the udev directory. Fixes FTBFS.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 May 2012 11:40:02 +0200

udisks2 (1.97.0-1) experimental; urgency=low



=== debian/control ===
Source: udisks2
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-config,
 xsltproc,
 gtk-doc-tools,
 intltool (>= 0.40.0),
 libglib2.0-dev (>= 2.31.13),
 udev (>= 147),
 libgudev-1.0-dev (>= 165),
 libpolkit-gobject-1-dev (>= 0.97),
 libpolkit-agent-1-dev (>= 0.97),
 libacl1-dev | acl-dev,
 libgirepository1.0-dev (>= 1.30),
 gobject-introspection (>= 1.30),
 libatasmart-dev (>= 0.17)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-utopia/udisks2.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/udisks2.git;a=summary
Homepage: http://www.freedesktop.org/wiki/Software/udisks
XS-Testsuite: autopkgtest

Package: udisks2
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, udev, dbus
Pre-Depends: ${misc:Pre-Depends}
Recommends: policykit-1, dosfstools, mtools, ntfs-3g, eject
Suggests: xfsprogs, reiserfsprogs, mdadm, cryptsetup-bin
Description: D-BUS service to access and manipulate storage devices
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package also provides the udisksctl utility, which can be used to
 trigger these operations from the command line (if permitted by
 PolicyKit).
 .
 Creating or modifying file systems such as XFS, RAID, or LUKS encryption
 requires that the corresponding mkfs.* and admin tools are installed, such as
 dosfstools and mtools for VFAT, xfsprogs for XFS, or cryptsetup for LUKS.

Package: udisks2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: udisks2 documentation
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides the API reference and manuals in devhelp format.

Package: libudisks2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, 
 ${misc:Depends}
Description: GObject based library to access udisks2
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This provides a convenience library for communicating with udisks2 from
 GObject based programs.

Package: libudisks2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 gir1.2-udisks-2.0 (= ${binary:Version}),
 libudisks2-0 (= ${binary:Version})
Description: GObject based library to access udisks2 - development files
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package contains files that are needed to build applications using
 libudisks.

Package: gir1.2-udisks-2.0
Section: introspection
Architecture: any
Depends: libudisks2-0 (= ${binary:Version}),
 ${gir:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: GObject based library to access udisks2 - introspection data
 The udisks daemon serves as an interface to system block devices,
 implemented via D-Bus. It handles operations such as querying, mounting,
 unmounting, formatting, or detaching storage devices such as hard disks
 or USB thumb drives.
 .
 This package provides introspection data for libudisks. It can be used
 by packages using the GIRepository format to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -enable-gtk-doc --with-systemdsystemunitdir=/lib/systemd/system/

override_dh_auto_build:
	dh_auto_build
	# make -C po udisks.pot

override_dh_auto_install:
	dh_auto_install
	# install Apport hook on Ubuntu
	if dpkg-vendor --is ubuntu; then \
	    install -m 644 -D debian/local/apport-hook.py debian/udisks2/usr/share/apport/package-hooks/udisks2.py; \
	fi

override_dh_install:
	dh_install -X.la --fail-missing

## udisks2 2.0.1

=== debian/changelog ===
udisks2 (2.0.1-1) experimental; urgency=low

  [ Martin Pitt ]
  * Add debian/patches/test_luks_with_vfat.patch: Run Luks test with VFAT
    instead of ext4, to work around kernel crash with Linux 3.7 when using
    ext4 (https://launchpad.net/bugs/1089818)

  [ Michael Biebl ]
  * New upstream release.
  * Update email address in debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Dec 2012 05:04:33 +0100

udisks2 (2.0.0-3) experimental; urgency=low

  * Add unsupported_acls.patch: Some file systems, such as ext2/ext3 that were
    created a few years ago, do not support ACLs. As long as we do not have
    /media on a tmpfs, ignore failures to set the ACL on /media/<user> and
    fall back to chowning the directory to the target user. (LP: #1048059)

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Nov 2012 07:31:03 +0100

udisks2 (2.0.0-2) experimental; urgency=low

  * Add symbols file for libudisks2-0.
  * debian/patches/dosfslabel.patch: Switch to dosfslabel to handle VFAT
    labels since we already require dosfstools for mkfs.vfat and dosfslabel
    works just as well as mlabel nowadays.
  * debian/control: Drop recommends on mtools.
  * debian/tests/control: Switch from mtools to dosfstools.
  * debian/control: Suggest exfat-utils for exFAT support.
  * debian/control: Suggest btrfs-tools for btrfs support.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Nov 2012 06:58:57 +0100

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, udev, dbus
 Pre-Depends: ${misc:Pre-Depends}
-Recommends: policykit-1, dosfstools, mtools, ntfs-3g, eject
-Suggests: xfsprogs, reiserfsprogs, mdadm, cryptsetup-bin
+Recommends: policykit-1, dosfstools, ntfs-3g, eject
+Suggests: xfsprogs, reiserfsprogs, exfat-utils, btrfs-tools, mdadm, cryptsetup-bin
 Description: D-BUS service to access and manipulate storage devices
  The udisks daemon serves as an interface to system block devices,
  implemented via D-Bus. It handles operations such as querying, mounting,
@@ -42,7 +42,7 @@
  .
  Creating or modifying file systems such as XFS, RAID, or LUKS encryption
  requires that the corresponding mkfs.* and admin tools are installed, such as
- dosfstools and mtools for VFAT, xfsprogs for XFS, or cryptsetup for LUKS.
+ dosfstools for VFAT, xfsprogs for XFS, or cryptsetup for LUKS.
 
 Package: udisks2-doc
 Architecture: all

## udisks2 2.1.0

=== debian/changelog ===
udisks2 (2.1.0-4ubuntu0.1) saucy-security; urgency=medium

  * SECURITY UPDATE: arbitrary code execution via long path names
    (LP: #1288226)
    - debian/patches/CVE-2014-0004.patch: limit lengths and properly
      terminate in src/udisksmountmonitor.c.
    - CVE-2014-0004

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Mar 2014 09:22:17 -0500

udisks2 (2.1.0-4) unstable; urgency=low

  * Add 00git_nonexisting_run_udev_rules.d.patch: integration-test: Fix for
    nonexisting /run/udev/rules.d/.
  * Add 00git_vfat_test_case_insensitivity.patch: integration-test: For VFAT,
    ignore case for label comparison.
  * dosfslabel.patch: Adjust to work with dosfstools 3.0.16, which now
    enforces that labels must be uppercase. See upstream bug for details.

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 May 2013 09:59:10 +0200

udisks2 (2.1.0-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/rules: Simplify dh_girepository invocation by using the dh
    sequencer.

  [ Michael Biebl ]
  * Upload to unstable.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Fix gtk-doc configure flag.
  * Drop unused acl-dev Build-Depends alternative.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 May 2013 02:13:24 +0200

udisks2 (2.1.0-2) experimental; urgency=low

  * debian/rules: Call dh_girepository to get correct dependencies of
    gir1.2-udisks-2.0.
  * Add 00git_firewire_removable.patch: Properly identify firewire devices as
    non-system devices.
  * Add 00git_hide_smartware_partitions.patch: Fix hiding of "WD SmartWare"
    partitions. (LP: #732365)

 -- Martin Pitt <mpitt@debian.org>  Tue, 26 Mar 2013 08:31:00 +0100

udisks2 (2.1.0-1) experimental; urgency=low

  * New upstream release.
    - Add support for creating UDF filesystems (Closes: #699360)
    - Add drive poweroff method, so that gvfs can power down hotplugged drives
      instead of just ejecting them. (LP: #1067876)
  * mount_in_media.patch: Port redirection of "mounted-fs" storage to /var/lib
    to new code structure.
  * Drop test_luks_with_vfat.patch: Fixed in current 3.7 kernel.
  * libudisks2-0.symbols: Add new symbols from this release.
  * Add 00git_logind_test.patch: Fix test for logind availability.

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Mar 2013 08:14:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: udisks2
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-config,
@@ -13,11 +14,11 @@
  libgudev-1.0-dev (>= 165),
  libpolkit-gobject-1-dev (>= 0.97),
  libpolkit-agent-1-dev (>= 0.97),
- libacl1-dev | acl-dev,
+ libacl1-dev,
  libgirepository1.0-dev (>= 1.30),
  gobject-introspection (>= 1.30),
  libatasmart-dev (>= 0.17)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-utopia/udisks2.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/udisks2.git;a=summary
 Homepage: http://www.freedesktop.org/wiki/Software/udisks
@@ -62,7 +63,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, 
+Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: GObject based library to access udisks2
  The udisks daemon serves as an interface to system block devices,
@@ -76,7 +77,7 @@
 Package: libudisks2-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, 
+Depends: ${shlibs:Depends},
  ${misc:Depends},
  gir1.2-udisks-2.0 (= ${binary:Version}),
  libudisks2-0 (= ${binary:Version})
@@ -92,8 +93,7 @@
 Package: gir1.2-udisks-2.0
 Section: introspection
 Architecture: any
-Depends: libudisks2-0 (= ${binary:Version}),
- ${gir:Depends},
+Depends: ${gir:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Description: GObject based library to access udisks2 - introspection data

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
 %:
-	dh $@
+	dh $@ --with gir
 
 override_dh_auto_configure:
-	dh_auto_configure -- -enable-gtk-doc --with-systemdsystemunitdir=/lib/systemd/system/
+	dh_auto_configure -- \
+		--enable-gtk-doc \
+		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/tests/control ===
Tests: upstream-system
Depends: @, python3-gi, gir1.2-glib-2.0, reiserfsprogs, xfsprogs, ntfs-3g, dosfstools, lvm2, mdadm, cryptsetup-bin, kpartx, libatasmart-bin, policykit-1, dbus-x11
Restrictions: needs-root

## udisks2 2.1.1

=== debian/changelog ===
udisks2 (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Drop patches which have been merged upstream.
  * Refresh dosfslabel.patch.
  * Update symbols file.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Aug 2013 12:54:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: udisks2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-config,

## udisks2 2.1.3

=== debian/changelog ===
udisks2 (2.1.3-5) unstable; urgency=medium

  * Mark gir and dev package as Multi-Arch: same.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Sep 2014 18:05:33 +0200

udisks2 (2.1.3-4) unstable; urgency=medium

  [ Martin Pitt ]
  * Pull in latest integration-test from upstream head, to fix race conditions
    in property checks.

  [ Michael Biebl ]
  * Build against libsystemd-dev.
  * Use multiarch libdir for typelib files following the latest changes in
    gobject-introspection. (Closes: #763241)

 -- Michael Biebl <biebl@debian.org>  Mon, 29 Sep 2014 23:28:46 +0200

udisks2 (2.1.3-3) unstable; urgency=medium

  * Add 00git_test_update_for_logind.patch: Update integration-test for logind
    seat tracking.
  * Add 00git_tests_sync.patch: In tests's sync(), also sync the file systems.
    This mitigates a race condition with changing labels, which particularly
    surfaces with the NTFS tests.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Aug 2014 11:27:55 +0200

udisks2 (2.1.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Use canonical Vcs fields
  * debian/control: Add build-dependency against libsystemd-login-dev and
    libsystemd-daemon-dev, this is enabling seat detection and inhibition
  * debian/control: Mark all the packages as linux-any instead of any
  * debian/control: Add dependecy against libpam-systemd, we need to be sure a
    logind session is registered for seat detection and system inhibitors

 -- Laurent Bigonville <bigon@debian.org>  Sat, 31 May 2014 22:40:10 +0200

udisks2 (2.1.3-1) unstable; urgency=high

  * New upstream security/bug fix release. Fixes buffer overflow in mount path
    parsing. (CVE-2014-0004, LP: #1288226)
  * Add "isolation-machine" autopkgtest restriction, this test does not work
    in schroot or LXC.

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Mar 2014 10:41:43 +0100

udisks2 (2.1.2-1) unstable; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - Add exfat support (Closes: #720695)
    - Fix crash when waiting for loop device (LP: #1128275)
    - Use dosfstools instead of mtools
    - Add polkit authorization variables for removable media
    - Hide more rescue partitions
  * Drop dosfslabel.patch, fixed upstream.
  * Add Recommends: gdisk, as we need it for manipulating GPT partition tables
    through sgdisk. (LP: #1080745)
  * Bump Standards-Version to 3.9.5. No changes necessary.

  [ Colin Watson ]
  * Use dh-autoreconf to update libtool macros for new ports.
    (Closes: #732287)

  [ Andreas Henriksson ]
  * Add parted dependency. (Closes: #720491)

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Jan 2014 10:04:52 +0100

=== debian/control ===
--- 
+++ 
@@ -16,21 +16,23 @@
  libacl1-dev,
  libgirepository1.0-dev (>= 1.30),
  gobject-introspection (>= 1.30),
- libatasmart-dev (>= 0.17)
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-utopia/udisks2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-utopia/udisks2.git;a=summary
+ libatasmart-dev (>= 0.17),
+ libsystemd-dev (>= 209),
+ dh-autoreconf
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-utopia/udisks2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/udisks2.git;a=summary
 Homepage: http://www.freedesktop.org/wiki/Software/udisks
 XS-Testsuite: autopkgtest
 
 Package: udisks2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, udev, dbus
+Depends: ${shlibs:Depends}, ${misc:Depends}, udev, dbus, parted, libpam-systemd
 Pre-Depends: ${misc:Pre-Depends}
-Recommends: policykit-1, dosfstools, ntfs-3g, eject
+Recommends: policykit-1, dosfstools, ntfs-3g, eject, gdisk
 Suggests: xfsprogs, reiserfsprogs, exfat-utils, btrfs-tools, mdadm, cryptsetup-bin
-Description: D-BUS service to access and manipulate storage devices
+Description: D-Bus service to access and manipulate storage devices
  The udisks daemon serves as an interface to system block devices,
  implemented via D-Bus. It handles operations such as querying, mounting,
  unmounting, formatting, or detaching storage devices such as hard disks
@@ -59,11 +61,10 @@
 
 Package: libudisks2-0
 Section: libs
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GObject based library to access udisks2
  The udisks daemon serves as an interface to system block devices,
  implemented via D-Bus. It handles operations such as querying, mounting,
@@ -75,7 +76,8 @@
 
 Package: libudisks2-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  gir1.2-udisks-2.0 (= ${binary:Version}),
@@ -91,7 +93,8 @@
 
 Package: gir1.2-udisks-2.0
 Section: introspection
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: ${gir:Depends},
  ${shlibs:Depends},
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with gir
+	dh $@ --with gir,autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## udisks2 2.1.5

=== debian/changelog ===
udisks2 (2.1.5-1) experimental; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - Drop default [df]mask for VFAT and NTFS (LP: #453605)
  * Drop our patches, included upstream.
  * debian/rules: Configure with --enable-fhs-media, to continue mounting in
    /media instead of /run/media. (Previously done by a Debian patch)
  * debian/tests/upstream-system: Drop ntfs-3g test dependency; due to a bug
    in the BLKRRPART ioctl this causes eternal udev and thus mount hangs.
    (see LP #1398859)
  * udisks2-inhibit: Don't use mount --move, as it doesn't work under shared
    mounts (i. e. under systemd). (LP: #1410851)

  [ Michael Biebl ]
  * Update Vcs-Browser URL to use cgit and https.

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Mar 2015 09:29:30 +0100

udisks2 (2.1.4-1) experimental; urgency=medium

  * New upstream bug fix release.
    - Avoids waking up disks from standby through SMART updates.
      (LP: #1281588)
    - Drop 00git_test_fixes.patch and libsystemd.patch, included upstream.
  * Bump Standards-Version to 3.9.6 (no changes necessary).
  * Add missing python3-dbus autopkgtest dependency.
  * integration-test: Skip double mount check for NTFS. Patch cherry-picked
    from upstream git.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Dec 2014 14:07:40 +0100

## udisks2 2.1.7

=== debian/changelog ===
udisks2 (2.1.7-1ubuntu1) xenial; urgency=medium

  * debian/patches/reread_parttable.patch: Reread partition table before
    wiping new partitions we just created. This helps ensure we got the device
    nodes we need from udev (and thus avoids gnome-disks crashing so much, for
    instance, when creating partitions). (LP: #1460602)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 01 Apr 2016 15:02:31 -0400

udisks2 (2.1.7-1) unstable; urgency=medium

  * New upstream release.
    - Drop git_Fix-udiskctl-help-for-glib-2.45.patch, included upstream.
  * debian/libudisks2-0.symbols: Add new symbols for this release.
  * udisks2-inhibit: Stop fiddling with polkit rules; restarting it can break
    existing clients/pending requests, and we can't use inotify as we don't
    want to write anything on the actual file system and bind mounts don't
    trigger inotify. Use a different approach of a temporary udev rule which
    sets UDISKS_IGNORE on all block devices. This continues to avoid touching
    the file system but does not need any daemon restarts, works with polkit
    >= 106, and now also suppresses showing new block devices on the desktop.
    (LP: #1508075)
  * Bump Standards-Version to 3.9.7 (no changes necessary).
  * debian/tests/upstream-system: Try to purge ntfs-3g, as the NTFS test still
    hangs the kernel often (see 2.1.5-1).
  * Add missing "make" test dependency.

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Mar 2016 10:52:39 +0100

udisks2 (2.1.6-2) unstable; urgency=medium

  * Fix udisksctl help crash with glib 2.45. (LP: #1478369)

 -- Martin Pitt <mpitt@debian.org>  Tue, 28 Jul 2015 07:48:20 +0200

udisks2 (2.1.6-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream release.
    - Drop Decide-whether-devices-are-on-the-same-seat-by-uid-n.patch,
      included upstream.
  * debian/rules: Configure with explicit --libexecdir, as that's where the
    daemon gets installed now.

  [ Simon McVittie ]
  * Disable Automake "silent rules" for more useful buildd logs

 -- Martin Pitt <mpitt@debian.org>  Tue, 30 Jun 2015 10:41:32 +0200

udisks2 (2.1.5-3) unstable; urgency=medium

  * debian/control: Drop obsolete XS-Testsuite: field, dpkg adds this
    automatically now.

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Apr 2015 10:03:57 +0200

udisks2 (2.1.5-2) experimental; urgency=medium

  * Team upload.
  * Treat devices as "on the same seat" if the requesting uid owns
    the active login session on the device's seat. This means that shared
    services run by the user's `systemd --user`, such as the dbus-daemon
    run by dbus-user-session and the D-Bus or systemd services that
    it starts, can manipulate the user's devices even though those are
    not associated with any particular login session or seat.
    (Closes: #780004)

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Mar 2015 19:16:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: udisks2
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-config,
@@ -19,11 +20,10 @@
  libatasmart-dev (>= 0.17),
  libsystemd-dev (>= 209),
  dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-utopia/udisks2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/udisks2.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/udisks2.git
 Homepage: http://www.freedesktop.org/wiki/Software/udisks
-XS-Testsuite: autopkgtest
 
 Package: udisks2
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,10 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--libexecdir=/usr/lib \
+		--disable-silent-rules \
 		--enable-gtk-doc \
+		--enable-fhs-media \
 		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_build:

=== debian/tests/control ===
Tests: upstream-system
Depends: cryptsetup-bin,
         dbus-x11,
         dosfstools,
         gir1.2-glib-2.0,
         kpartx,
         libatasmart-bin,
         lvm2,
         make,
         mdadm,
         policykit-1,
         python3-dbus,
         python3-gi,
         reiserfsprogs,
         xfsprogs,
         @,
Restrictions: needs-root isolation-machine

=== debian/watch ===
version=3
http://udisks.freedesktop.org/releases/udisks-(.*).tar.bz2
